﻿namespace PrintGanttView
{
    class RemoveFocusRectangle : Infragistics.Win.IUIElementDrawFilter
    {
        // Focus rectangle appears by default when the UI element of the control is clicked.
        // This may be seen on CheckEditor, WinTree nodes, or Tabs.
        // In order to remove it - since there is no direct property to do so, the following implementation will do it.
        //
        // After implementing this DrowFilter, attach this object to the control by setting the control's DrawFilter property to this object.
        // Examle: ultraCheckEditor.DrawFilter = new RemoveFocusRectangle();
        //
        #region Implementation of IUIElementDrawFilter
        public bool DrawElement(Infragistics.Win.DrawPhase drawPhase, ref Infragistics.Win.UIElementDrawParams drawParams)
        {
            return true;
        }
        public Infragistics.Win.DrawPhase GetPhasesToFilter(ref Infragistics.Win.UIElementDrawParams drawParams)
        {
            return Infragistics.Win.DrawPhase.BeforeDrawFocus;
        }
        #endregion
    }
}
